CREATE OR REPLACE FUNCTION metrics_upgrade()
  RETURNS void AS
$func$
DECLARE
   nsx_table text;
BEGIN
   FOR nsx_table IN
      SELECT table_name
      FROM   information_schema.tables
      WHERE  table_schema = 'public'
      AND    table_name LIKE 'nsx_%table_%'
   LOOP
      EXECUTE format('ALTER TABLE %I ADD COLUMN IF NOT EXISTS nsx_site_key INT CONSTRAINT %I REFERENCES nsx_site_table(nsx_site_key)'
                    , nsx_table, nsx_table || '_nsx_site_key_fkey');
      EXECUTE format('CREATE INDEX IF NOT EXISTS %I ON %I(nsx_site_key)'
                    , nsx_table || '_nsx_site_key_idx', nsx_table);
   END LOOP;
END
$func$  LANGUAGE plpgsql;

select metrics_upgrade();