{{/*
Renders the initContainers template to include multiple wait-for containers

Usage:
{{- include "waitForContainers" . | nindent 8 }}

'nindent' based on indentation at destination.
expected output:

      - name: wait-for-processing-create-kafka-topic-job
        image: "nsx-intelligence-docker-local.artifactory.eng.vmware.com/clustering/third-party/wait-for:dev"
        imagePullPolicy: "Always"
        command: ["wait-for-advanced.sh", "job", "processing-create-kafka-topic-job"]
*/}}
{{- define "waitForContainers" -}}
    {{- $root := . -}}
    {{- range $value := .Values.initContainers.waitFor }}
- name: wait-for-{{ $value.name | replace "/" "-" | replace "=" "-" | replace "." "-" | trunc -54 }}
  image: "{{ $root.Values.initContainers.registry | default $root.Values.global.image.registry }}/{{ $root.Values.initContainers.repository | default "third-party/wait-for" }}:{{ $root.Values.initContainers.tag | default $root.Values.global.image.tag }}"
  imagePullPolicy: "{{ $root.Values.initContainers.pullPolicy }}"
  command: ["wait-for-advanced.sh", "{{ $value.resourceType }}", "{{ $value.name }}"]
    {{- end -}}
{{- end -}}
